Public Member Functions | Data Fields

# DrawStringParams Struct Reference

Text drawing parameters, which can change while drawing a line, but are kept between multiple parts of the same text, e.g. More...

## Public Member Functions
| DrawStringParams (TextColour colour, FontSize fontsize)
void | SetColour (TextColour c)
| Switch to new colour c.
void | SetPreviousColour ()
| Switch to previous colour.
void | SetFontSize (FontSize f)
| Switch to using a new font f.
## Data Fields
FontSize | fontsize
TextColour | cur_colour
TextColour | prev_colour

## Detailed Description

Text drawing parameters, which can change while drawing a line, but are kept between multiple parts of the same text, e.g.

on line breaks.

Definition at line 62 of file gfx.cpp.

## Member Function Documentation

void DrawStringParams::SetColour | ( | TextColour | c | ) | `[inline]`

Switch to new colour c.

Parameters:

  | c | New colour to use.

Definition at line 72 of file gfx.cpp.

Referenced by DrawStringMultiLine(), and ReallyDoDrawString().

void DrawStringParams::SetFontSize | ( | FontSize | f | ) | `[inline]`

Switch to using a new font f.

Parameters:

  | f | New font to use.

Definition at line 89 of file gfx.cpp.

Referenced by DrawStringMultiLine(), and ReallyDoDrawString().

void DrawStringParams::SetPreviousColour | ( |  | ) | `[inline]`

Switch to previous colour.

Definition at line 80 of file gfx.cpp.

References Swap().

Referenced by DrawStringMultiLine(), and ReallyDoDrawString().

The documentation for this struct was generated from the following file:

- src/gfx.cpp